Delete test plan folder
DELETE
/testplanfolders/{id}Deletes a specific test plan folder
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlanFoldersApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlanFoldersApi(config);
const result = await api.deleteTestPlanFolder({ "id": 123});console.log(result);curl --request DELETE \ "https://api.testcollab.io/testplanfolders/123?token=$TESTCOLLAB_TOKEN"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Test Plan Folder ID |
Response
Section titled “Response”200 — Test Plan Folder deleted
{}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |